/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Death on Oct-30-2011 08:24:12pm
Filepath: scripts\_custom\events and scenarios\Halloween2011\Quests\Quest Givers\Brunella.cs
Lines of code: 77
***********************************************************/


using System;
using Server;
using Server.Items;
using Server.Mobiles;

namespace Server.Engines.Quests
{	
	public class LycanOrHateEmQuest : BaseQuest
	{				
		public override object Title{ get{ return "Lycan Or Hate Em"; } }
		
		public override object Description{ get{ return "You hear the howling? That's the sound of the lycan. Oh the poor lycan are crying out in pain. Lycans used to be normal humans and elves, until they were infected by a werewolf. Now these cursed souls change into savage wolf-like creatures at night.<br><br>They say the Lycan Woods nearby never sees the sun, that it lives in neverending twilight. That's where many of the lycan gather, to live a life of torment with others of their kind.<br><br>Head out and slay these cursed souls. Release them from their pain."; } }
		
		public override object Refuse{ get{ return "Fine, don't show compassion for these poor souls."; } }
		
		public override object Uncomplete{ get{ return "The Lycan Woods is just outside Wormwood. You will find plenty of Lycan there. Don't worry, their attacks aren't as powerful as a werewolf yet so they cannot infect you in return."; } }
		
		public override object Complete{ get{ return "You slayed enough lycan. I thank you, they can now rest in peace and freedom. Take this bag of candy as a reward."; } }
	
		public LycanOrHateEmQuest() : base()
		{			
			AddObjective( new SlayObjective( typeof( Lycan ), "Lycan", 15 ) );
			
			AddReward( new BaseReward( typeof( CandyBagA ), "A bag of candy" ) );
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}		
	}
	
	public class Brunella : MondainQuester
	{
		public override Type[] Quests
		{ 
			get{ return new Type[] 
			{ 
				typeof( LycanOrHateEmQuest )
			};} 
		}
		
		[Constructable]
		public Brunella() : base( "Brunella", "the conjurer" )
		{			
			SetSkill( SkillName.Meditation, 60.0, 83.0 );
			SetSkill( SkillName.Focus, 60.0, 83.0 );
		}
		
		public Brunella( Serial serial ) : base( serial )
		{
		}		
		
		public override void InitBody()
		{
			InitStats( 100, 100, 25 );

			Hue = 0x83EA;

			Female = true;
			Body = 0x191;
		}
		
		public override void InitOutfit()
		{
			AddItem( new Robe( 0x1 ) );
			AddItem( new Sandals() );
			AddItem( new WizardsHat( 0x1 ) );
			AddItem( new GoldBracelet() );

			HairItemID = 0x203C;

			Item staff = new GnarledStaff();
			staff.Movable = false;
			AddItem( staff );
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}
		
		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}